tigase.db.jdbc

## Class DrupalWPAuth

- java.lang.Object
- - tigase.db.jdbc.DrupalWPAuth

- All Implemented Interfaces:
    AuthRepository

      public class DrupalWPAuth
      extends Object
      implements AuthRepository

  Describe class DrupalWPAuth here. Created: Sat Nov 11 22:22:04 2006
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DRUPAL_NAME_FLD` Field description
    `static int` | `DRUPAL_OK_STATUS_VAL` Field description
    `static String` | `DRUPAL_PASS_FLD` Field description
    `static String` | `DRUPAL_STATUS_FLD` Field description
    `static String` | `DRUPAL_USERS_TBL` Field description
    `static String` | `WP_NAME_FLD` Field description
    `static int` | `WP_OK_STATUS_VAL` Field description
    `static String` | `WP_PASS_FLD` Field description
    `static String` | `WP_STATUS_FLD` Field description
    `static String` | `WP_USERS_TBL` Field description

    - ### Fields inherited from interface tigase.db.AuthRepository

      `DATA_KEY, DIGEST_ID_KEY, DIGEST_KEY, MACHANISM_KEY, PASSWORD_KEY, PROTOCOL_KEY, PROTOCOL_VAL_NONSASL, PROTOCOL_VAL_SASL, REALM_KEY, RESULT_KEY, SERVER_NAME_KEY, USER_ID_KEY, USERNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DrupalWPAuth()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addUser(tigase.xmpp.BareJID user, String password)` Describe `addUser` method here.
    `boolean` | `digestAuth(tigase.xmpp.BareJID user, String digest, String id, String alg)` Deprecated.
    `String` | `getResourceUri()` Method description
    `long` | `getUsersCount()` Method description
    `long` | `getUsersCount(String domain)` Method description
    `void` | `initRepository(String connection_str, Map<String,String> params)` Describe `initRepository` method here.
    `void` | `logout(tigase.xmpp.BareJID user)` Method description
    `boolean` | `otherAuth(Map<String,Object> props)` Describe `otherAuth` method here.
    `boolean` | `plainAuth(tigase.xmpp.BareJID user, String password)` Deprecated.
    `void` | `queryAuth(Map<String,Object> authProps)` Describe `queryAuth` method here.
    `void` | `removeUser(tigase.xmpp.BareJID user)` Describe `removeUser` method here.
    `void` | `updatePassword(tigase.xmpp.BareJID user, String password)` Describe `updatePassword` method here.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DRUPAL_USERS_TBL

          public static final String DRUPAL_USERS_TBL

      Field description
      See Also:
        Constant Field Values

    - #### DRUPAL_NAME_FLD

          public static final String DRUPAL_NAME_FLD

      Field description
      See Also:
        Constant Field Values

    - #### DRUPAL_PASS_FLD

          public static final String DRUPAL_PASS_FLD

      Field description
      See Also:
        Constant Field Values

    - #### DRUPAL_STATUS_FLD

          public static final String DRUPAL_STATUS_FLD

      Field description
      See Also:
        Constant Field Values

    - #### DRUPAL_OK_STATUS_VAL

          public static final int DRUPAL_OK_STATUS_VAL

      Field description
      See Also:
        Constant Field Values

    - #### WP_USERS_TBL

          public static final String WP_USERS_TBL

      Field description
      See Also:
        Constant Field Values

    - #### WP_NAME_FLD

          public static final String WP_NAME_FLD

      Field description
      See Also:
        Constant Field Values

    - #### WP_PASS_FLD

          public static final String WP_PASS_FLD

      Field description
      See Also:
        Constant Field Values

    - #### WP_STATUS_FLD

          public static final String WP_STATUS_FLD

      Field description
      See Also:
        Constant Field Values

    - #### WP_OK_STATUS_VAL

          public static final int WP_OK_STATUS_VAL

      Field description
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DrupalWPAuth

          public DrupalWPAuth()

  - ### Method Detail

    - #### addUser

          public void addUser(tigase.xmpp.BareJID user,
                     String password)
                       throws UserExistsException,
                              TigaseDBException

      Describe `addUser` method here.
      Specified by:
        `addUser` in interface `AuthRepository`
      Parameters:
        `user` - a `String` value
        `password` - a `String` value
      Throws:
        `UserExistsException` - if an error occurs
        `TigaseDBException` - if an error occurs

    - #### digestAuth

          @Deprecated
          public boolean digestAuth(tigase.xmpp.BareJID user,
                                      String digest,
                                      String id,
                                      String alg)
                             throws UserNotFoundException,
                                    TigaseDBException,
                                    AuthorizationException

      Deprecated.
      Describe `digestAuth` method here.
      Specified by:
        `digestAuth` in interface `AuthRepository`
      Parameters:
        `user` - a `String` value
        `digest` - a `String` value
        `id` - a `String` value
        `alg` - a `String` value
      Returns:
        a `boolean` value
      Throws:
        `UserNotFoundException` - if an error occurs
        `TigaseDBException` - if an error occurs
        `AuthorizationException` - if an error occurs

    - #### getResourceUri

          public String getResourceUri()

      Method description
      Specified by:
        `getResourceUri` in interface `AuthRepository`
      Returns:
        a `String` value of database connection string.

    - #### getUsersCount

          public long getUsersCount()

      Method description
      Specified by:
        `getUsersCount` in interface `AuthRepository`
      Returns:
        a `long` number of registered users in the repository.

    - #### getUsersCount

          public long getUsersCount(String domain)

      Method description
      Specified by:
        `getUsersCount` in interface `AuthRepository`
      Parameters:
        `domain` -
      Returns:
        a `long` number of registered users in the repository.

    - #### initRepository

          public void initRepository(String connection_str,
                            Map<String,String> params)
                              throws DBInitException

      Describe `initRepository` method here.
      Specified by:
        `initRepository` in interface `AuthRepository`
      Parameters:
        `connection_str` - a `String` value
        `params` -
      Throws:
        `DBInitException` - if an error occurs

    - #### logout

          public void logout(tigase.xmpp.BareJID user)
                      throws UserNotFoundException,
                             TigaseDBException

      Method description
      Specified by:
        `logout` in interface `AuthRepository`
      Parameters:
        `user` -
      Throws:
        `TigaseDBException`
        `UserNotFoundException`

    - #### otherAuth

          public boolean otherAuth(Map<String,Object> props)
                            throws UserNotFoundException,
                                   TigaseDBException,
                                   AuthorizationException

      Describe `otherAuth` method here.
      Specified by:
        `otherAuth` in interface `AuthRepository`
      Parameters:
        `props` - a `Map` value
      Returns:
        a `boolean` value
      Throws:
        `UserNotFoundException` - if an error occurs
        `TigaseDBException` - if an error occurs
        `AuthorizationException` - if an error occurs

    - #### plainAuth

          @Deprecated
          public boolean plainAuth(tigase.xmpp.BareJID user,
                                     String password)
                            throws UserNotFoundException,
                                   TigaseDBException,
                                   AuthorizationException

      Deprecated.
      Describe `plainAuth` method here.
      Specified by:
        `plainAuth` in interface `AuthRepository`
      Parameters:
        `user` - a `String` value
        `password` - a `String` value
      Returns:
        a `boolean` value
      Throws:
        `AuthorizationException`
        `UserNotFoundException` - if an error occurs
        `TigaseDBException` - if an error occurs

    - #### queryAuth

          public void queryAuth(Map<String,Object> authProps)

      Describe `queryAuth` method here.
      Specified by:
        `queryAuth` in interface `AuthRepository`
      Parameters:
        `authProps` - a `Map` value

    - #### removeUser

          public void removeUser(tigase.xmpp.BareJID user)
                          throws UserNotFoundException,
                                 TigaseDBException

      Describe `removeUser` method here.
      Specified by:
        `removeUser` in interface `AuthRepository`
      Parameters:
        `user` - a `String` value
      Throws:
        `UserNotFoundException` - if an error occurs
        `TigaseDBException` - if an error occurs

    - #### updatePassword

          public void updatePassword(tigase.xmpp.BareJID user,
                            String password)
                              throws UserNotFoundException,
                                     TigaseDBException

      Describe `updatePassword` method here.
      Specified by:
        `updatePassword` in interface `AuthRepository`
      Parameters:
        `user` - a `String` value
        `password` - a `String` value
      Throws:
        `TigaseDBException` - if an error occurs
        `UserNotFoundException`

Copyright © 2014 "Tigase, Inc.". All rights reserved.